<div id="body" class="container-fluid">
  <form #form="ngForm" name="form">
        <h6>Manage CCD Bypass Users</h6>
          <table>
            <tr>
              <td>
                <span>Enter First or Last name or NTID below to search for available users to add a new user</span>
              </td>
            </tr>
            <tr>
              <td style="padding:0 0px 0 0px;">
                <input id="name" name="name" placeholder="Search by name or NTID" class="form-control form-control-sm"
                        required minlength="1" appForbiddenName="-"
                        [(ngModel)]="form.name" #name="ngModel" (blur)="signalSelected(form.name.value)">
              </td>
              <td style="padding:0 5px 0 5px;">
                <button class="btn btn-sm btn-primary btn-block" style="width:170px; height:auto" type="button" (click)="onSubmitSearch()" [disabled]="form.invalid">
                  Search
                </button>
              </td>
            </tr>
          </table>
          <div *ngIf="name.invalid && (name.dirty || name.touched)"
               class="alert alert-danger">
            <div *ngIf="name.errors.required">
              Please enter Name or NTID to search for.
            </div>
            <div *ngIf="name.errors.minlength">
              Must be at least 1 characters long.
            </div>
            <div *ngIf="name.errors.forbiddenName">
              Cannot be -(negative).
            </div>
          </div>
          <div class="col-24 col-sm-12"><label for="Mark"> </label></div>
          <br />

          <div *ngIf="displayNotfound">
            <label style="color: blue;"> <b>{{validationMessage}}</b> </label>
          </div>

          <div *ngIf="selectedItems">
            <button id="gridAddSelected" class="btn btn-sm btn-primary" type="button"
                    [disabled]="!selectedItemKeys.length"
                    (click)="onSubmit()">
              Add Selected Users
            </button>
            <br/> <br/>
                  <dx-data-grid id="grid" [dataSource]="ccdByPassUser$" [showBorders]="true"
                                [rowAlternationEnabled]="true" [columnAutoWidth]="true" [wordWrapEnabled]="true"
                                (onSelectionChanged)="selectionChangedHandler($event)">
                    <dxo-sorting mode="multiple"></dxo-sorting>
                    <dxo-paging [pageSize]="50"></dxo-paging>
                    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
                    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                    <dxi-column dataField="userAdid" caption="User NTID"></dxi-column>
                    <dxi-column dataField="fullNme" caption="User Name"></dxi-column>
                  </dx-data-grid>
          </div>

          <div *ngIf="ccdUsers">
            <h6>Current Users</h6>
            <dx-data-grid #grid id="grid2" [dataSource]="items" [showBorders]="true"
                          [rowAlternationEnabled]="true" [columnAutoWidth]="true" [wordWrapEnabled]="true"
                          (onToolbarPreparing)="onToolbarPreparing($event)"
                          (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                          (onSelectionChanged)="selectionChangedHandlerCCD($event)">
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-paging [pageSize]="50"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
              <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
              <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
              <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
              <dxi-column dataField="userADID" caption="User NTID"></dxi-column>
              <dxi-column dataField="userName" caption="User Name"></dxi-column>
              <div *dxTemplate="let data of 'removeTemplate'">
                <button id="gridRemoveSelected" class="btn btn-sm btn-primary" type="button"
                        [disabled]="!selectedItemKeysCCD.length"
                        (click)="deleteRows()">
                  Remove Selected Users
                </button>
              </div>
            </dx-data-grid>
          </div>
      </form>
</div>


